Package io.vertx.mqtt.messages.codes

## Enum MqttAuthenticateReasonCode

- java.lang.Object
- - java.lang.Enum<MqttAuthenticateReasonCode>
  - - io.vertx.mqtt.messages.codes.MqttAuthenticateReasonCode

- All Implemented Interfaces:
    `MqttReasonCode`, `Serializable`, `Comparable<MqttAuthenticateReasonCode>`

      public enum MqttAuthenticateReasonCode
      extends Enum<MqttAuthenticateReasonCode>
      implements MqttReasonCode

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONTINUE_AUTHENTICATION` |
    `RE_AUTHENTICATE` |
    `SUCCESS` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte` | `value()` |
    `static MqttAuthenticateReasonCode` | `valueOf​(byte b)` | Returns the enum constant of this type with the specified name.
    `static MqttAuthenticateReasonCode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MqttAuthenticateReasonCode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.mqtt.messages.codes.MqttReasonCode

      `isError`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final MqttAuthenticateReasonCode SUCCESS

    - #### CONTINUE_AUTHENTICATION

          public static final MqttAuthenticateReasonCode CONTINUE_AUTHENTICATION

    - #### RE_AUTHENTICATE

          public static final MqttAuthenticateReasonCode RE_AUTHENTICATE

  - ### Method Detail

    - #### values

          public static MqttAuthenticateReasonCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MqttAuthenticateReasonCode c : MqttAuthenticateReasonCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MqttAuthenticateReasonCode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public byte value()

      Specified by:
        `value` in interface `MqttReasonCode`

    - #### valueOf

          public static MqttAuthenticateReasonCode valueOf​(byte b)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `b` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null